--local createCompositionDT4_MMG_03_Door_Back = nil
local createCompositionGreen_close = nil
local createCompositionGreen_open = nil
local createCompositionHandle = nil
--local createCompositionHvost_F_raskruchivanie = nil
--local createCompositionHvost_F_zakruchivanie = nil
--local createCompositionHvost_G_raskruchivanie = nil
--local createCompositionHvost_G_zakruchivanie = nil
--local createCompositionHvost_K_raskruchiv = nil
--local createCompositionHvost_K_zakruchivanie = nil
--local createCompositionHvost_Z_raskruchivanie = nil
--local createCompositionHvost_Z_zakruchivanie = nil
local createCompositionRed_close = nil
local createCompositionRed_open = nil
local createCompositionViolet_close = nil
local createCompositionViolet_open = nil
--local createCompositionYAHIRICA_F_L1 = nil
--local createCompositionYAHIRICA_F_L2 = nil
--local createCompositionYAHIRICA_F_L3 = nil
--local createCompositionYAHIRICA_G_L1 = nil
--local createCompositionYAHIRICA_G_L2 = nil
--local createCompositionYAHIRICA_G_L3 = nil
--local createCompositionYAHIRICA_K_L1 = nil
--local createCompositionYAHIRICA_K_L2 = nil
--local createCompositionYAHIRICA_K_L3 = nil
--local createCompositionYAHIRICA_Z_L1 = nil
--local createCompositionYAHIRICA_Z_L2 = nil
--local createCompositionYAHIRICA_Z_L3 = nil
local createCompositionYellow_close = nil
local createCompositionYellow_open = nil
---------------------------------------------------------------------------------------
local PREFIX_PATH = "data/Texture/Scenes/03_yard/main/anim/z_door/"
---------------------------------------------------------------------------------------
function Loader_03mmg_Animations(parent)
	return CreateAnimationLoadingRoutine(parent, PREFIX_PATH,
		{
				
    			CreateCompositionLoader(createCompositionGreen_open,		                'Green_open',		        0,0, 93, 320,240, false),
    			CreateCompositionLoader(createCompositionGreen_close,		                'Green_close',		        0,0, 93, 320,240, false),
    			
    			CreateCompositionLoader(createCompositionHandle,		                	'Handle',		        	0,0, 93, 320,240, false),
    			
    			CreateCompositionLoader(createCompositionRed_close,		               		'Red_close',		        0,0, 93, 320,240, false),
    			CreateCompositionLoader(createCompositionRed_open,		               		'Red_open',		        	0,0, 93, 320,240, false),
    			
    			CreateCompositionLoader(createCompositionViolet_close,		                'Violet_close',		        0,0, 93, 320,240, false),
    			CreateCompositionLoader(createCompositionViolet_open,		                'Violet_open',		        0,0, 93, 320,240, false),
    			
    			CreateCompositionLoader(createCompositionYellow_close,		                'Yellow_close',		        0,0, 93, 320,240, false),
    			CreateCompositionLoader(createCompositionYellow_open,		                'Yellow_open',		        0,0, 93, 320,240, false),
		},
		{
			function (element, textureName)
				if textureName == "Hvost4_[].png" then
					local anim = element:GetTexture()
					anim:SetFrames(14)
					anim:SetTextureRect(0,0,104,110)
					anim:SetSpeed(24)
					anim:SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
					anim:Play() 
					element:SetFrameSynchronizationActive(true)
				end
				if textureName == "YAHIRICA_F_L.png" then
					local anim = element:GetTexture()
					anim:SetBlendMode(0)
					return
				end
				if textureName == "YAHIRICA_F_L1.png" then
					local anim = element:GetTexture()
					anim:SetBlendMode(0)
					return
				end
				if textureName == "YAHIRICA_G_L.png" then
					local anim = element:GetTexture()
					anim:SetBlendMode(0)
					return
				end
				if textureName == "YAHIRICA_G_L1.png" then
					local anim = element:GetTexture()
					anim:SetBlendMode(0)
					return
				end
				if textureName == "YAHIRICA_K_L.png" then
					local anim = element:GetTexture()
					anim:SetBlendMode(0)
					return
				end
				if textureName == "YAHIRICA_K_L1.png" then
					local anim = element:GetTexture()
					anim:SetBlendMode(0)
					return
				end
				if textureName == "YAHIRICA_Z_L.png" then
					local anim = element:GetTexture()
					anim:SetBlendMode(0)
					return
				end
				if textureName == "YAHIRICA_Z_L1.png" then
					local anim = element:GetTexture()
					anim:SetBlendMode(0)
					return
				end
				if textureName == "Hvost1_[].png" then
					local anim = element:GetTexture()
					anim:SetFrames(14)
					anim:SetTextureRect(0,0,104,110)
					anim:SetSpeed(24)
					anim:SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
					anim:Play()
					element:SetFrameSynchronizationActive(true)
				end
				if textureName == "Hvost1_[1-14].png" then
					local anim = element:GetTexture()
					anim:SetFrames(14)
					anim:SetTextureRect(0,0,104,110)
					anim:SetSpeed(24)
					anim:SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
					anim:Play()
					element:SetFrameSynchronizationActive(true)
				end
				if textureName == "Hvost2_[].png" then
					local anim = element:GetTexture()
					anim:SetFrames(14)
					anim:SetTextureRect(0,0,104,110)
					anim:SetSpeed(24)
					anim:SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
					anim:Play()
					element:SetFrameSynchronizationActive(true)
				end
				if textureName == "Hvost2_[1-14].png" then
					local anim = element:GetTexture()
					anim:SetFrames(14)
					anim:SetTextureRect(0,0,104,110)
					anim:SetSpeed(24)
					anim:SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
					anim:Play()
					element:SetFrameSynchronizationActive(true)
				end
				if textureName == "Hvost3_[].png" then
					local anim = element:GetTexture()
					anim:SetFrames(14)
					anim:SetTextureRect(0,0,104,110)
					anim:SetSpeed(24)
					anim:SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
					anim:Play()
					element:SetFrameSynchronizationActive(true)
				end
				if textureName == "Hvost3_[1-14].png" then
					local anim = element:GetTexture()
					anim:SetFrames(14)
					anim:SetTextureRect(0,0,104,110)
					anim:SetSpeed(24)
					anim:SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
					anim:Play()
					element:SetFrameSynchronizationActive(true)
				end
				if textureName == "Hvost4_[00013-00026].png" then
					local anim = element:GetTexture()
					anim:SetFrames(14)
					anim:SetTextureRect(0,0,104,110)
					anim:SetSpeed(24)
					anim:SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
					anim:Play()
					element:SetFrameSynchronizationActive(true)
				end
			end,
		});
end
---------------------------------------------------------------------------------------
createCompositionDT4_MMG_03_Door_Back = function()
	local compositionDT4_MMG_03_Door_Back = CreateCompositionSequence()
	local compositionDuration = 1
	compositionDT4_MMG_03_Door_Back:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = createCompositionViolet_open()
	element:SetName("Layer_1")
	compositionDT4_MMG_03_Door_Back:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionDT4_MMG_03_Door_Back)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."HVOST_RAZVERN_F.png")
	element:SetName("Layer_2")
	compositionDT4_MMG_03_Door_Back:AddElement(element)
	element:SetHotSpot(56, 46)
	element:SetParentElement(compositionDT4_MMG_03_Door_Back)
	element:SetXY(218, 296)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."YAHIRICA_F.png")
	element:SetName("Layer_4")
	compositionDT4_MMG_03_Door_Back:AddElement(element)
	element:SetHotSpot(57, 73)
	element:SetParentElement(compositionDT4_MMG_03_Door_Back)
	element:SetXY(201, 384)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
 
	-- Layer Layer_5
	element = createCompositionYellow_open()
	element:SetName("Layer_5")
	compositionDT4_MMG_03_Door_Back:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionDT4_MMG_03_Door_Back)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
 
	-- Layer Layer_6
	element = CreateCompositionElement(PREFIX_PATH.."HVOST_RAZVERN_G.png")
	element:SetName("Layer_6")
	compositionDT4_MMG_03_Door_Back:AddElement(element)
	element:SetHotSpot(56, 46)
	element:SetParentElement(compositionDT4_MMG_03_Door_Back)
	element:SetXY(424, 300)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
 
	-- Layer Layer_8
	element = CreateCompositionElement(PREFIX_PATH.."YAHIRICA_G.png")
	element:SetName("Layer_8")
	compositionDT4_MMG_03_Door_Back:AddElement(element)
	element:SetHotSpot(57, 73)
	element:SetParentElement(compositionDT4_MMG_03_Door_Back)
	element:SetXY(441, 388)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
 
	-- Layer Layer_9
	element = createCompositionRed_open()
	element:SetName("Layer_9")
	compositionDT4_MMG_03_Door_Back:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionDT4_MMG_03_Door_Back)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
 
	-- Layer Layer_11
	element = CreateCompositionElement(PREFIX_PATH.."HVOST_RAZVERN_K.png")
	element:SetName("Layer_11")
	compositionDT4_MMG_03_Door_Back:AddElement(element)
	element:SetHotSpot(37, 16)
	element:SetParentElement(compositionDT4_MMG_03_Door_Back)
	element:SetXY(199, 152)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
 
	-- Layer Layer_12
	element = CreateCompositionElement(PREFIX_PATH.."YAHIRICA_K.png")
	element:SetName("Layer_12")
	compositionDT4_MMG_03_Door_Back:AddElement(element)
	element:SetHotSpot(57, 73)
	element:SetParentElement(compositionDT4_MMG_03_Door_Back)
	element:SetXY(201, 95)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
 
	-- Layer Layer_13
	element = createCompositionGreen_close()
	element:SetName("Layer_13")
	compositionDT4_MMG_03_Door_Back:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionDT4_MMG_03_Door_Back)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
 
	-- Layer Layer_14
	element = CreateCompositionElement(PREFIX_PATH.."HVOST_RAZVERN_Z.png")
	element:SetName("Layer_14")
	compositionDT4_MMG_03_Door_Back:AddElement(element)
	element:SetHotSpot(56, 46)
	element:SetParentElement(compositionDT4_MMG_03_Door_Back)
	element:SetXY(419.5, 182)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
 
	-- Layer Layer_16
	element = CreateCompositionElement(PREFIX_PATH.."YAHIRICA_Z.png")
	element:SetName("Layer_16")
	compositionDT4_MMG_03_Door_Back:AddElement(element)
	element:SetHotSpot(57, 73)
	element:SetParentElement(compositionDT4_MMG_03_Door_Back)
	element:SetXY(437, 95)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
 
	-- Layer Layer_17
	element = CreateCompositionElement(PREFIX_PATH.."ruhka.png")
	element:SetName("Layer_17")
	compositionDT4_MMG_03_Door_Back:AddElement(element)
	element:SetHotSpot(61, 34)
	element:SetParentElement(compositionDT4_MMG_03_Door_Back)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:SetKey(_TRACK_X, 0, 320)
	effector:SetKey(_TRACK_Y, 0, 211)
	effector:SetKey(_TRACK_X, 0.54166666666667, 320)
	effector:SetKey(_TRACK_Y, 0.54166666666667, 231.912926572346)
	effector:SetKey(_TRACK_X, 0.95833333333333, 320)
	effector:SetKey(_TRACK_Y, 0.95833333333333, 248)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 0.33333333333333, 0.0174532925)
	effector:SetKey(_TRACK_A, 0.66666666666667, -0.0174532925)
	effector:SetKey(_TRACK_A, 0.95833333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_18
	element = CreateCompositionElement(PREFIX_PATH.."DT4_MMG_03_Door_Back.jpg")
	element:SetName("Layer_18")
	compositionDT4_MMG_03_Door_Back:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionDT4_MMG_03_Door_Back)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
	compositionDT4_MMG_03_Door_Back:Play()
 
	return compositionDT4_MMG_03_Door_Back
end
 
createCompositionGreen_close = function()
	local compositionGreen_close = CreateCompositionSequence()
	local compositionDuration = 1
	compositionGreen_close:SetDuration(compositionDuration)
 
	local element
	local effector

	-- Layer Layer_1
	element = createCompositionYAHIRICA_Z_L1()
	element:SetName("Layer_1")
	compositionGreen_close:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionGreen_close)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
 --[[
	-- Layer Layer_2
	element = createCompositionYAHIRICA_Z_L2()
	element:SetName("Layer_2")
	compositionGreen_close:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionGreen_close)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()

 
	-- Layer Layer_3
	element = createCompositionYAHIRICA_Z_L3()
	element:SetName("Layer_3")
	compositionGreen_close:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionGreen_close)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 	--]]
 
	-- Layer Layer_4
	element = createCompositionHvost_Z_zakruchivanie()
	element:SetName("Layer_4")
	compositionGreen_close:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionGreen_close)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
	compositionGreen_close:Play()
 
	return compositionGreen_close
end
 
createCompositionGreen_open = function()
	local compositionGreen_open = CreateCompositionSequence()
	local compositionDuration = 1
	compositionGreen_open:SetDuration(compositionDuration)
 
	local element
	local effector
	
	-- Layer Layer_1
	element = createCompositionYAHIRICA_Z_L1()
	element:SetName("Layer_1")
	compositionGreen_open:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionGreen_open)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
 --[[
	-- Layer Layer_2
	element = createCompositionYAHIRICA_Z_L2()
	element:SetName("Layer_2")
	compositionGreen_open:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionGreen_open)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 

	-- Layer Layer_3
	element = createCompositionYAHIRICA_Z_L3()
	element:SetName("Layer_3")
	compositionGreen_open:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionGreen_open)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 --]]
 
	-- Layer Layer_4
	element = createCompositionHvost_Z_raskruchivanie()
	element:SetName("Layer_4")
	compositionGreen_open:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionGreen_open)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
	compositionGreen_open:Play()
 
	return compositionGreen_open
end
 
createCompositionHandle = function()
	local compositionHandle = CreateCompositionSequence()
	local compositionDuration = 1
	compositionHandle:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."ruhka.png")
	element:SetName("Layer_1")
	compositionHandle:AddElement(element)
	element:SetHotSpot(61, 34)
	element:SetParentElement(compositionHandle)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:SetKey(_TRACK_X, 0, 320)
	effector:SetKey(_TRACK_Y, 0, 211)
	effector:SetKey(_TRACK_X, 0.54166666666667, 320)
	effector:SetKey(_TRACK_Y, 0.54166666666667, 231.912926572346)
	effector:SetKey(_TRACK_X, 0.95833333333333, 320)
	effector:SetKey(_TRACK_Y, 0.95833333333333, 248)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 0.33333333333333, 0.0174532925)
	effector:SetKey(_TRACK_A, 0.66666666666667, -0.0174532925)
	effector:SetKey(_TRACK_A, 0.95833333333333, 0)
	effector:Play()
 
	compositionHandle:Play()
 
	return compositionHandle
end
 
createCompositionHvost_F_raskruchivanie = function()
	local compositionHvost_F_raskruchivanie = CreateCompositionSequence()
	local compositionDuration = 0.58333333333333
	compositionHvost_F_raskruchivanie:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."Hvost3_[].png")
	element:SetName("Layer_1")
	compositionHvost_F_raskruchivanie:AddElement(element)
	element:SetHotSpot(52, 55)
	element:SetParentElement(compositionHvost_F_raskruchivanie)
	element:SetXY(215, 309.5)
 
	element:SetScaleX(-1)
	element:SetAngle(3.14159265)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.58333333333333)
	effector:Play()
 
	compositionHvost_F_raskruchivanie:Play()
 
	return compositionHvost_F_raskruchivanie
end
 
createCompositionHvost_F_zakruchivanie = function()
	local compositionHvost_F_zakruchivanie = CreateCompositionSequence()
	local compositionDuration = 0.58333333333333
	compositionHvost_F_zakruchivanie:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."Hvost3_[1-14].png")
	element:SetName("Layer_1")
	compositionHvost_F_zakruchivanie:AddElement(element)
	element:SetHotSpot(52, 55)
	element:SetParentElement(compositionHvost_F_zakruchivanie)
	element:SetXY(215, 309.5)
 
	element:SetScaleX(-1)
	element:SetAngle(3.14159265)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.58333333333333)
	effector:Play()
 
	compositionHvost_F_zakruchivanie:Play()
 
	return compositionHvost_F_zakruchivanie
end
 
createCompositionHvost_G_raskruchivanie = function()
	local compositionHvost_G_raskruchivanie = CreateCompositionSequence()
	local compositionDuration = 0.58333333333333
	compositionHvost_G_raskruchivanie:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."Hvost2_[].png")
	element:SetName("Layer_1")
	compositionHvost_G_raskruchivanie:AddElement(element)
	element:SetHotSpot(52, 55)
	element:SetParentElement(compositionHvost_G_raskruchivanie)
	element:SetXY(427, 313.5)
 
	element:SetAngle(3.14159265)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.58333333333333)
	effector:Play()
 
	compositionHvost_G_raskruchivanie:Play()
 
	return compositionHvost_G_raskruchivanie
end
 
createCompositionHvost_G_zakruchivanie = function()
	local compositionHvost_G_zakruchivanie = CreateCompositionSequence()
	local compositionDuration = 0.58333333333333
	compositionHvost_G_zakruchivanie:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."Hvost2_[1-14].png")
	element:SetName("Layer_1")
	compositionHvost_G_zakruchivanie:AddElement(element)
	element:SetHotSpot(52, 55)
	element:SetParentElement(compositionHvost_G_zakruchivanie)
	element:SetXY(427, 313.5)
 
	element:SetAngle(3.14159265)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.58333333333333)
	effector:Play()
 
	compositionHvost_G_zakruchivanie:Play()
 
	return compositionHvost_G_zakruchivanie
end
 
createCompositionHvost_K_raskruchiv = function()
	local compositionHvost_K_raskruchiv = CreateCompositionSequence()
	local compositionDuration = 0.58333333333333
	compositionHvost_K_raskruchiv:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."Hvost1_[].png")
	element:SetName("Layer_1")
	compositionHvost_K_raskruchiv:AddElement(element)
	element:SetHotSpot(52, 55)
	element:SetParentElement(compositionHvost_K_raskruchiv)
	element:SetXY(215, 168.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.58333333333333)
	effector:Play()
 
	compositionHvost_K_raskruchiv:Play()
 
	return compositionHvost_K_raskruchiv
end
 
createCompositionHvost_K_zakruchivanie = function()
	local compositionHvost_K_zakruchivanie = CreateCompositionSequence()
	local compositionDuration = 0.58333333333333
	compositionHvost_K_zakruchivanie:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."Hvost1_[1-14].png")
	element:SetName("Layer_1")
	compositionHvost_K_zakruchivanie:AddElement(element)
	element:SetHotSpot(52, 55)
	element:SetParentElement(compositionHvost_K_zakruchivanie)
	element:SetXY(215, 168.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.58333333333333)
	effector:Play()
 
	compositionHvost_K_zakruchivanie:Play()
 
	return compositionHvost_K_zakruchivanie
end
 
createCompositionHvost_Z_raskruchivanie = function()
	local compositionHvost_Z_raskruchivanie = CreateCompositionSequence()
	local compositionDuration = 0.58333333333333
	compositionHvost_Z_raskruchivanie:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."Hvost4_[00013-00026].png")
	element:SetName("Layer_1")
	compositionHvost_Z_raskruchivanie:AddElement(element)
	element:SetHotSpot(52, 55)
	element:SetParentElement(compositionHvost_Z_raskruchivanie)
	element:SetXY(422.5, 168.5)
 
	element:SetScaleX(-1)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.58333333333333)
	effector:Play()
 
	compositionHvost_Z_raskruchivanie:Play()
 
	return compositionHvost_Z_raskruchivanie
end
 
createCompositionHvost_Z_zakruchivanie = function()
	local compositionHvost_Z_zakruchivanie = CreateCompositionSequence()
	local compositionDuration = 0.58333333333333
	compositionHvost_Z_zakruchivanie:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."Hvost4_[].png")
	element:SetName("Layer_1")
	compositionHvost_Z_zakruchivanie:AddElement(element)
	element:SetHotSpot(52, 55)
	element:SetParentElement(compositionHvost_Z_zakruchivanie)
	element:SetXY(422.5, 168.5)
 
	element:SetScaleX(-1)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.58333333333333)
	effector:Play()
 
	compositionHvost_Z_zakruchivanie:Play()
 
	return compositionHvost_Z_zakruchivanie
end
 
createCompositionRed_close = function()
	local compositionRed_close = CreateCompositionSequence()
	local compositionDuration = 1
	compositionRed_close:SetDuration(compositionDuration)
 
	local element
	local effector

	-- Layer Layer_1
	element = createCompositionYAHIRICA_K_L1()
	element:SetName("Layer_1")
	compositionRed_close:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionRed_close)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
 --[[
	-- Layer Layer_2
	element = createCompositionYAHIRICA_K_L2()
	element:SetName("Layer_2")
	compositionRed_close:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionRed_close)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()

 
	-- Layer Layer_3
	element = createCompositionYAHIRICA_K_L3()
	element:SetName("Layer_3")
	compositionRed_close:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionRed_close)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
  --]]
	-- Layer Layer_4
	element = createCompositionHvost_K_zakruchivanie()
	element:SetName("Layer_4")
	compositionRed_close:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionRed_close)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
	compositionRed_close:Play()
 
	return compositionRed_close
end
 
createCompositionRed_open = function()
	local compositionRed_open = CreateCompositionSequence()
	local compositionDuration = 1
	compositionRed_open:SetDuration(compositionDuration)
 
	local element
	local effector

	-- Layer Layer_1
	element = createCompositionYAHIRICA_K_L1()
	element:SetName("Layer_1")
	compositionRed_open:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionRed_open)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
 --[[
	-- Layer Layer_2
	element = createCompositionYAHIRICA_K_L2()
	element:SetName("Layer_2")
	compositionRed_open:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionRed_open)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()

 
	-- Layer Layer_3
	element = createCompositionYAHIRICA_K_L3()
	element:SetName("Layer_3")
	compositionRed_open:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionRed_open)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
  --]]
 
	-- Layer Layer_4
	element = createCompositionHvost_K_raskruchiv()
	element:SetName("Layer_4")
	compositionRed_open:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionRed_open)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
	compositionRed_open:Play()
 
	return compositionRed_open
end
 
createCompositionViolet_close = function()
	local compositionViolet_close = CreateCompositionSequence()
	local compositionDuration = 1
	compositionViolet_close:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = createCompositionHvost_F_zakruchivanie()
	element:SetName("Layer_1")
	compositionViolet_close:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionViolet_close)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
 --[[
	-- Layer Layer_2
	element = createCompositionYAHIRICA_F_L1()
	element:SetName("Layer_2")
	compositionViolet_close:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionViolet_close)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 

	-- Layer Layer_3
	element = createCompositionYAHIRICA_F_L2()
	element:SetName("Layer_3")
	compositionViolet_close:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionViolet_close)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
  --]]
 
	-- Layer Layer_4
	element = createCompositionYAHIRICA_F_L3()
	element:SetName("Layer_4")
	compositionViolet_close:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionViolet_close)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()

	compositionViolet_close:Play()
 
	return compositionViolet_close
end
 
createCompositionViolet_open = function()
	local compositionViolet_open = CreateCompositionSequence()
	local compositionDuration = 1
	compositionViolet_open:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = createCompositionHvost_F_raskruchivanie()
	element:SetName("Layer_1")
	compositionViolet_open:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionViolet_open)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
  --[[
	-- Layer Layer_2
	element = createCompositionYAHIRICA_F_L1()
	element:SetName("Layer_2")
	compositionViolet_open:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionViolet_open)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 

	-- Layer Layer_3
	element = createCompositionYAHIRICA_F_L2()
	element:SetName("Layer_3")
	compositionViolet_open:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionViolet_open)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
  --]]
 
	-- Layer Layer_4
	element = createCompositionYAHIRICA_F_L3()
	element:SetName("Layer_4")
	compositionViolet_open:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionViolet_open)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()

	compositionViolet_open:Play()
 
	return compositionViolet_open
end
 
createCompositionYAHIRICA_F_L1 = function()
	local compositionYAHIRICA_F_L1 = CreateCompositionSequence()
	local compositionDuration = 1
	compositionYAHIRICA_F_L1:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."YAHIRICA_F_L1.png")
	element:SetName("Layer_1")
	compositionYAHIRICA_F_L1:AddElement(element)
	element:SetHotSpot(8.5, 8)
	element:SetParentElement(compositionYAHIRICA_F_L1)
	element:SetXY(205, 287.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 0.5, 1)
	effector:SetKey(_TRACK_O, 1, 0)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."YAHIRICA_F_L1.png")
	element:SetName("Layer_2")
	compositionYAHIRICA_F_L1:AddElement(element)
	element:SetHotSpot(8.5, 8)
	element:SetParentElement(compositionYAHIRICA_F_L1)
	element:SetXY(205, 287.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 0.5, 1)
	effector:SetKey(_TRACK_O, 1, 0)
	effector:Play()
 
	compositionYAHIRICA_F_L1:Play()
 
	return compositionYAHIRICA_F_L1
end
 
createCompositionYAHIRICA_F_L2 = function()
	local compositionYAHIRICA_F_L2 = CreateCompositionSequence()
	local compositionDuration = 1
	compositionYAHIRICA_F_L2:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."YAHIRICA_F_L1.png")
	element:SetName("Layer_1")
	compositionYAHIRICA_F_L2:AddElement(element)
	element:SetHotSpot(8.5, 8)
	element:SetParentElement(compositionYAHIRICA_F_L2)
	element:SetXY(253, 311.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 0.5, 1)
	effector:SetKey(_TRACK_O, 1, 0)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."YAHIRICA_F_L1.png")
	element:SetName("Layer_2")
	compositionYAHIRICA_F_L2:AddElement(element)
	element:SetHotSpot(8.5, 8)
	element:SetParentElement(compositionYAHIRICA_F_L2)
	element:SetXY(253, 311.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 0.5, 1)
	effector:SetKey(_TRACK_O, 1, 0)
	effector:Play()
 
	compositionYAHIRICA_F_L2:Play()
 
	return compositionYAHIRICA_F_L2
end
 
createCompositionYAHIRICA_F_L3 = function()
	local compositionYAHIRICA_F_L3 = CreateCompositionSequence()
	local compositionDuration = 1
	compositionYAHIRICA_F_L3:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."YAHIRICA_F_L.png")
	element:SetName("Layer_1")
	compositionYAHIRICA_F_L3:AddElement(element)
	element:SetHotSpot(22.5, 56)
	element:SetParentElement(compositionYAHIRICA_F_L3)
	element:SetXY(199.5, 387)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 0.5, 1)
	effector:SetKey(_TRACK_O, 1, 0)
	effector:Play()
 
	compositionYAHIRICA_F_L3:Play()
 
	return compositionYAHIRICA_F_L3
end
 
createCompositionYAHIRICA_G_L1 = function()
	local compositionYAHIRICA_G_L1 = CreateCompositionSequence()
	local compositionDuration = 1
	compositionYAHIRICA_G_L1:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."YAHIRICA_G_L.png")
	element:SetName("Layer_1")
	compositionYAHIRICA_G_L1:AddElement(element)
	element:SetHotSpot(25, 59.5)
	element:SetParentElement(compositionYAHIRICA_G_L1)
	element:SetXY(445.5, 391.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 0.5, 1)
	effector:SetKey(_TRACK_O, 1, 0)
	effector:Play()
 
	compositionYAHIRICA_G_L1:Play()
 
	return compositionYAHIRICA_G_L1
end
 
createCompositionYAHIRICA_G_L2 = function()
	local compositionYAHIRICA_G_L2 = CreateCompositionSequence()
	local compositionDuration = 1
	compositionYAHIRICA_G_L2:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."YAHIRICA_G_L1.png")
	element:SetName("Layer_1")
	compositionYAHIRICA_G_L2:AddElement(element)
	element:SetHotSpot(10.5, 8)
	element:SetParentElement(compositionYAHIRICA_G_L2)
	element:SetXY(437, 292)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 0.5, 1)
	effector:SetKey(_TRACK_O, 1, 0)
	effector:Play()
 
	compositionYAHIRICA_G_L2:Play()
 
	return compositionYAHIRICA_G_L2
end
 
createCompositionYAHIRICA_G_L3 = function()
	local compositionYAHIRICA_G_L3 = CreateCompositionSequence()
	local compositionDuration = 1
	compositionYAHIRICA_G_L3:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."YAHIRICA_G_L1.png")
	element:SetName("Layer_1")
	compositionYAHIRICA_G_L3:AddElement(element)
	element:SetHotSpot(10.5, 8)
	element:SetParentElement(compositionYAHIRICA_G_L3)
	element:SetXY(390, 318)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 0.5, 1)
	effector:SetKey(_TRACK_O, 1, 0)
	effector:Play()
 
	compositionYAHIRICA_G_L3:Play()
 
	return compositionYAHIRICA_G_L3
end
 
createCompositionYAHIRICA_K_L1 = function()
	local compositionYAHIRICA_K_L1 = CreateCompositionSequence()
	local compositionDuration = 1
	compositionYAHIRICA_K_L1:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."YAHIRICA_K_L.png")
	element:SetName("Layer_1")
	compositionYAHIRICA_K_L1:AddElement(element)
	element:SetHotSpot(21.5, 58)
	element:SetParentElement(compositionYAHIRICA_K_L1)
	element:SetXY(197, 91)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 0.5, 1)
	effector:SetKey(_TRACK_O, 1, 0)
	effector:Play()
 
	compositionYAHIRICA_K_L1:Play()
 
	return compositionYAHIRICA_K_L1
end
 
createCompositionYAHIRICA_K_L2 = function()
	local compositionYAHIRICA_K_L2 = CreateCompositionSequence()
	local compositionDuration = 1
	compositionYAHIRICA_K_L2:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."YAHIRICA_K_L1.png")
	element:SetName("Layer_1")
	compositionYAHIRICA_K_L2:AddElement(element)
	element:SetHotSpot(9, 8)
	element:SetParentElement(compositionYAHIRICA_K_L2)
	element:SetXY(203.75, 189.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 0.5, 1)
	effector:SetKey(_TRACK_O, 1, 0)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."YAHIRICA_K_L1.png")
	element:SetName("Layer_2")
	compositionYAHIRICA_K_L2:AddElement(element)
	element:SetHotSpot(9, 8)
	element:SetParentElement(compositionYAHIRICA_K_L2)
	element:SetXY(203.75, 189.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 0.5, 1)
	effector:SetKey(_TRACK_O, 1, 0)
	effector:Play()
 
	compositionYAHIRICA_K_L2:Play()
 
	return compositionYAHIRICA_K_L2
end
 
createCompositionYAHIRICA_K_L3 = function()
	local compositionYAHIRICA_K_L3 = CreateCompositionSequence()
	local compositionDuration = 1
	compositionYAHIRICA_K_L3:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."YAHIRICA_K_L1.png")
	element:SetName("Layer_1")
	compositionYAHIRICA_K_L3:AddElement(element)
	element:SetHotSpot(9, 8)
	element:SetParentElement(compositionYAHIRICA_K_L3)
	element:SetXY(252, 166)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 0.5, 1)
	effector:SetKey(_TRACK_O, 1, 0)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."YAHIRICA_K_L1.png")
	element:SetName("Layer_2")
	compositionYAHIRICA_K_L3:AddElement(element)
	element:SetHotSpot(9, 8)
	element:SetParentElement(compositionYAHIRICA_K_L3)
	element:SetXY(252, 166)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 0.5, 1)
	effector:SetKey(_TRACK_O, 1, 0)
	effector:Play()
 
	compositionYAHIRICA_K_L3:Play()
 
	return compositionYAHIRICA_K_L3
end
 
createCompositionYAHIRICA_Z_L1 = function()
	local compositionYAHIRICA_Z_L1 = CreateCompositionSequence()
	local compositionDuration = 1
	compositionYAHIRICA_Z_L1:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."YAHIRICA_Z_L.png")
	element:SetName("Layer_1")
	compositionYAHIRICA_Z_L1:AddElement(element)
	element:SetHotSpot(24, 59.5)
	element:SetParentElement(compositionYAHIRICA_Z_L1)
	element:SetXY(440, 90.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 0.5, 1)
	effector:SetKey(_TRACK_O, 1, 0.01)
	effector:Play()
 
	compositionYAHIRICA_Z_L1:Play()
 
	return compositionYAHIRICA_Z_L1
end
 
createCompositionYAHIRICA_Z_L2 = function()
	local compositionYAHIRICA_Z_L2 = CreateCompositionSequence()
	local compositionDuration = 1
	compositionYAHIRICA_Z_L2:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."YAHIRICA_Z_L1.png")
	element:SetName("Layer_1")
	compositionYAHIRICA_Z_L2:AddElement(element)
	element:SetHotSpot(10.5, 9)
	element:SetParentElement(compositionYAHIRICA_Z_L2)
	element:SetXY(433.5, 191.25)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 0.5, 1)
	effector:SetKey(_TRACK_O, 1, 0.01)
	effector:Play()
 
	compositionYAHIRICA_Z_L2:Play()
 
	return compositionYAHIRICA_Z_L2
end
 
createCompositionYAHIRICA_Z_L3 = function()
	local compositionYAHIRICA_Z_L3 = CreateCompositionSequence()
	local compositionDuration = 1
	compositionYAHIRICA_Z_L3:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."YAHIRICA_Z_L1.png")
	element:SetName("Layer_1")
	compositionYAHIRICA_Z_L3:AddElement(element)
	element:SetHotSpot(10.5, 9)
	element:SetParentElement(compositionYAHIRICA_Z_L3)
	element:SetXY(384.5, 166.25)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 0.5, 1)
	effector:SetKey(_TRACK_O, 1, 0.01)
	effector:Play()
 
	compositionYAHIRICA_Z_L3:Play()
 
	return compositionYAHIRICA_Z_L3
end
 
createCompositionYellow_close = function()
	local compositionYellow_close = CreateCompositionSequence()
	local compositionDuration = 1
	compositionYellow_close:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = createCompositionYAHIRICA_G_L1()
	element:SetName("Layer_1")
	compositionYellow_close:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionYellow_close)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
 --[[
	-- Layer Layer_2
	element = createCompositionYAHIRICA_G_L2()
	element:SetName("Layer_2")
	compositionYellow_close:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionYellow_close)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
 
	-- Layer Layer_3
	element = createCompositionYAHIRICA_G_L3()
	element:SetName("Layer_3")
	compositionYellow_close:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionYellow_close)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 --]]
 
	-- Layer Layer_4
	element = createCompositionHvost_G_zakruchivanie()
	element:SetName("Layer_4")
	compositionYellow_close:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionYellow_close)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
	compositionYellow_close:Play()
 
	return compositionYellow_close
end
 
createCompositionYellow_open = function()
	local compositionYellow_open = CreateCompositionSequence()
	local compositionDuration = 1
	compositionYellow_open:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = createCompositionYAHIRICA_G_L1()
	element:SetName("Layer_1")
	compositionYellow_open:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionYellow_open)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
 --[[
	-- Layer Layer_2
	element = createCompositionYAHIRICA_G_L2()
	element:SetName("Layer_2")
	compositionYellow_open:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionYellow_open)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
 
	-- Layer Layer_3
	element = createCompositionYAHIRICA_G_L3()
	element:SetName("Layer_3")
	compositionYellow_open:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionYellow_open)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 --]]
 
	-- Layer Layer_4
	element = createCompositionHvost_G_raskruchivanie()
	element:SetName("Layer_4")
	compositionYellow_open:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionYellow_open)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
	compositionYellow_open:Play()
 
	return compositionYellow_open
end
 
